Add test script for doxygen warnings

This commit is contained in:
Manuel Pégourié-Gonnard 2016-01-04 16:49:09 +01:00
parent b873f7ac98
commit 1d552e7583
2 changed files with 31 additions and 0 deletions

View file

@ -83,6 +83,12 @@ msg "test/build: declared and exported names" # < 3s
cleanup
tests/scripts/check-names.sh
if which doxygen >/dev/null; then
msg "test: doxygen warnings" # ~ 3s
cleanup
tests/scripts/doxygen.sh
fi
msg "build: create and build yotta module" # ~ 30s
cleanup
tests/scripts/yotta-build.sh

25
tests/scripts/doxygen.sh Executable file
View file

@ -0,0 +1,25 @@
#!/bin/sh
# Make sure the doxygen documentation builds without warnings
# Abort on errors (and uninitiliased variables)
set -eu
if [ -d library -a -d include -a -d tests ]; then :; else
echo "Must be run from mbed TLS root" >&2
exit 1
fi
if make apidoc > doc.out 2>doc.err; then :; else
cat doc.err
echo "FAIL" >&2
exit 1;
fi
if grep warning doc.out doc.err; then
echo "FAIL" >&2
exit 1;
fi
make apidoc_clean
rm -f doc.out doc.err